Bug 1657148 - Branding customization doesn't work
Summary: Branding customization doesn't work
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 09:19 UTC by Yadan Pei
Modified: 2019-04-12 07:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Brand (54.92 KB, image/png)
2018-12-07 09:20 UTC, Yadan Pei
no flags Details

Description Yadan Pei 2018-12-07 09:19:04 UTC
Description of problem:
branding customization doesn't work because the home page branding still show "RED HAT OPENSHIFT" but documentationBaseURL customization works well

Version-Release number of selected component (if applicable):
registry.svc.ci.openshift.org/openshift/origin-v4.0-2018-12-07-060250@sha256:b3ced03b1d2e181199dd387b6caa15ff051e2019a4dd22abaf5365de25d874b3

How reproducible:
Always

Steps to Reproduce:
1.Setup 4.0 cluster with openshift-installer, get cluster console route
$ oc get route -n openshift-console
2. Check configmap details
$ oc get cm console-config -n openshift-console -o yaml | grep -i customization -A 3
    customization:
      branding: okd
      documentationBaseURL: https://docs.okd.io/4.0/

3. Login to cluster console route with kubeadmin:<password>
4. Check Branding and Docs links

Actual results:
4. Branding shown as "RED HAT OPENSHIFT" and docs are using "https://docs.okd.io/4.0/" as base URL
such as https://docs.okd.io/4.0/cli_reference/get_started_cli.html

Expected results:
4. Branding should be "OKD"

Additional info:

Comment 1 Yadan Pei 2018-12-07 09:20:23 UTC
Created attachment 1512425 [details]
Brand

Comment 4 Robb Hamilton 2019-04-09 14:33:37 UTC
This was addressed with the merge of https://github.com/openshift/console/pull/933 on Feb 25, 2019.  I'm not sure what the correct status should be.

Comment 5 Yadan Pei 2019-04-12 07:47:59 UTC
1. Edit console.operator, set brand & docs customization and save changes
spec:
  customization:
    brand: okd
    documentationBaseURL: https://docs.okd.io/latest/
2. Logins to console, brand is changed to OKD and docs points to https://docs.okd.io/latest/



Verified on

console image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:1f2ceacf044e29e75c488e5e641598015b2fff97274ab898409be5e020fea029
io.openshift.build.commit.id=d86dbff35d53acd8a0a48cde98cb6037d9577edb


Note You need to log in before you can comment on or make changes to this bug.